io_uring_prep_setxattr(3)

NAME
io_uring_prep_setxattr, io_uring_prep_fsetxattr - prepare a request to set an extended attribute value

SYNOPSIS
#include <liburing.h>

void io_uring_prep_setxattr(struct io_uring_sqe *sqe,
                            const char *name,
                            const char *value,
                            const char *path,
                            int flags,
                            unsigned int len);

void io_uring_prep_fsetxattr(struct io_uring_sqe *sqe,
                             int fd,
                             const char *name,
                             const char *value,
                             int flags,
                             unsigned int len);

DESCRIPTION

The io_uring_prep_setxattr(3) function prepares a request to set an extended attribute value. The submission queue entry sqe is setup to set the value of the extended attribute identified by name and associated with the given path in the filesystem with modifier flags flags. The len argument specifies the size (in bytes) of value. io_uring_prep_fsetxattr(3) is identical to io_uring_prep_setxattr(3), only the extended attribute is set on the open file referred to by fd in place of path. This function prepares an async setxattr(2) request. See that man page for details.

RETURN VALUE
None

SEE ALSO
io_uring_get_sqe(3), setxattr(2)